#
#   - SRU -
#   This spec file was automatically generated by cpan2rpm [ver: 2.027]
#   (ALT Linux revision)
#   The following arguments were used:
#       SRU
#   For more information on cpan2rpm please visit: http://perl.arix.com/
#

%define module SRU
%define m_distro SRU
%define m_name SRU
%define m_author_id unknown
%define _enable_test 1

Name: perl-SRU
Version: 1.01
Release: alt1.1

Summary: Search and Retrieve URL Service

License: Artistic
Group: Development/Perl
Url: http://www.cpan.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch
Source: http://www.cpan.org/authors/id/B/BR/BRICAS/SRU-%{version}.tar.gz

# Automatically added by buildreq on Thu Sep 04 2008
BuildRequires: perl-CGI-Application perl-CQL-Parser perl-Catalyst-Runtime perl-Test-Exception perl-Test-Pod perl-Test-Pod-Coverage perl-XML-Simple

%description
The SRU package provides a framework for working with the Search and Retrieval
by URL (SRU) protocol developed by the Library of Congress. SRU defines
a web service for searching databases containing metadata and objects. SRU
often goes under the name SRW which is a SOAP version of the protocol. You
can think of SRU as a RESTful version of SRW, since all the requests are
simple URLs instead of XML documents being sent via some sort of transport
layer.

You might be interested in SRU if you want to provide a generic API for
searching a data repository and a mechanism for returning metadata records.
SRU defines three verbs: explain, scan and searchRetrieve which define the
requests and responses in a SRU interaction.

This set of modules attempts to provide a framework for building an SRU
service. The distribution is made up of two sets of Perl modules: modules in the
SRU::Request::* namespace which represent the three types of requests; and
modules in the SRU::Response::* namespace which represent the various responses.

Typical usage is that a request object is created using a factory method in the
SRU::Request module. The factory is given either a URI or a CGI object for
the HTTP request. SRU::Request will look at the URI and build the
appropriate request object: SRU::Request::Explain, SRU::Request::Scan or
SRU::Request::SearchRetrieve.

Once you've got a request object you can build a response object by using the
factory method newFromRequest() in SRU::Request. This method will examine the
request and build the corresponding result object which you can then populate
with result data appropriately. When you are finished populating the response
object with results you can call asXML() on it to get the full XML for your
response.

To understand the meaning of the various requests and their responses you'll
want to read the docs at the Library of Congress. A good place to start is
this simple introductory page: http://www.loc.gov/standards/sru/simple.html

Questions and comments are more than welcome. This software was developed as
part of a National Science Foundation grant for building distributed library
systems in the Ockham Project. More about Ockham can be found at
http://www.ockham.org.

%prep
%setup -q -n %m_distro-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/%module/
%perl_vendor_privlib/Catalyst/
%perl_vendor_privlib/SRU.pm

%changelog
* Wed Apr 22 2020 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1.1
- dropped deprecated BR: perl-Module-Install

* Sat Oct 19 2013 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- automated CPAN update

* Fri Jul 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- automated CPAN update

* Mon Nov 22 2010 Igor Vlasenko <viy@altlinux.ru> 0.99-alt1.1
- repair after perl 5.12 upgrade using girar-nmu

* Tue Jul 13 2010 Igor Vlasenko <viy@altlinux.ru> 0.99-alt1
- automated CPAN update

* Thu Sep 04 2008 Vitaly Lipatov <lav@altlinux.ru> 0.97-alt2
- fix directory ownership violation
- update buildreq

* Mon Jun 16 2008 Vitaly Lipatov <lav@altlinux.ru> 0.97-alt1
- new version 0.97 (with rpmrb script)

* Sat Nov 11 2006 Vitaly Lipatov <lav@altlinux.ru> 0.95-alt1
- first build for ALT Linux Sisyphus

